Bug 4234 - неправильная запись в /boot/grub/menu.lst
: неправильная запись в /boot/grub/menu.lst
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/bootloader-utils)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 3459 7371
  Show dependency tree
 
Reported: 2004-05-26 01:52 by
Modified: 2007-10-23 15:17 (History)


Attachments
fix for /usr/share/loader/grub (426 bytes, patch)
2004-05-29 20:01, Sergey Vlasov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-26 01:52:35
Я установил kernel-image-std-up-2.4.26-alt2. В /boot/ всё появилось как и
нужно.
Но в menu.lst запись неправильная:
title 2.4.26-std-up-alt2
kernel (hd0,2)/vmlinuz-2.4.26-std-up-alt2 root=/dev/hda3
initrd (hd0,2)/initrd-2.4.26-std-up-alt2.img

У меня /boot --- отдельный раздел:
/dev/hda1 on /boot type ext2 (rw)
/dev/hda3 on / type ext2 (rw)
/dev/hda4 on /home type ext2 (rw)

Прошлое ядро (kernel-image-std-up-2.4.25-alt7) туда поместило правильную
запись:
title 2425-std-up-alt7
kernel (hd0,0)/vmlinuz-2.4.25-std-up-alt7 vga=788 root=/dev/hda3

И ещё мне говорили, что для root ext2 initrd не создаётся, он и не создан. Но
записан.

Таким образом, запись "2.4.26-std-up-alt2" незагружабельна. Загрузиться
получилось через обычный linux-up.
------- Comment #1 From 2004-05-26 13:29:55 -------
В menu.lst пишет bootloader-utils, в kernel-image пока осталось только создание
симлинков vmlinuz-up и initrd-up.img.
------- Comment #2 From 2004-05-26 13:31:56 -------
Мда... bugzilla имеет особое мнение по поводу мантейнера bootloader-utils.
------- Comment #3 From 2004-05-26 17:01:45 -------
Work in progress.
------- Comment #4 From 2004-05-29 20:01:04 -------
Created an attachment (id=421) [details]
fix for /usr/share/loader/grub

исправление обработки отдельного /boot в /usr/share/loader/grub
------- Comment #5 From 2004-06-16 11:33:07 -------
Исправлено в bootloader-utils-0.3-alt1
------- Comment #6 From 2004-06-16 11:33:28 -------
Проверено.
------- Comment #7 From 2004-06-16 11:53:09 -------
Поторопился. Строка с initrd по-прежнему присутствует, а самого initrd нет, так
как у меня ext2. Загрузка опять только через linux-up.
------- Comment #8 From 2004-06-24 04:32:58 -------
Не понял точно, в чем проблема.  initrd не создается?
Пожалуйста, посмотрите хотя бы одним глазком в /sbin/installkernel:
"$MKINITRD" -f --ifneeded "$BOOTDIR/initrd-$VERSION.img" "$VERSION"

Эта команда у вас запускается?  Она создает initrd?
------- Comment #9 From 2004-06-24 08:59:08 -------
Запускается. Не создаёт. У меня root ext2.
Я говорю о том, что строка с initrd записалась в menu.lst при установке ядра,
хотя в данном случае её там быть не должно. Это даёт незагружаемую запись для
установленного ядра.
------- Comment #10 From 2005-06-14 12:21:03 -------
Какой прогресс в исправлении ?
------- Comment #11 From 2005-07-06 16:19:46 -------
а в 3.0 будет grub?  мож откладываем на 3.1?
------- Comment #12 From 2005-07-06 16:34:58 -------
Может, не откладываем? Я не могу подтвердить актуальность ошибки, кстати.
------- Comment #13 From 2005-10-28 14:12:20 -------
Зароем поглубже.